# サンプルコード

## 環境構築

### macOSの場合

```console
$ python3 -m venv venv
$ . venv/bin/activate
(venv) $ pip install -r requirements.txt
```

### Windowsの場合

```console
> py -m venv venv
> venv/Scripts/Activate.ps1
(venv) > pip install -r requirements.txt
```

## 実行方法

```console
(venv) $ python src/sample.py
```

## テスト実行方法

```console
(venv) $ pytest --cov=src --cov-report=term-missing
```

## テストコードについて

### `tests/test_sample_1.py`

本文`素朴なテストを書く`項で説明したコード例です。

### `tests/test_sample_2_parametrize.py`

本文`parametrizeを使って繰り返すテストを書こう`項で説明したコード例です。

### `tests/test_sample_3_fixture.py`

本文`フィクスチャを使って共通処理をまとめよう`項で説明したコード例です

### `tests/test_sample_4_add_tests.py`

本文に掲載がないテストを追加した例です。
カバレッジが `pytest-covを使ってカバレッジをチェックしよう` 項と同じになります。
